#pragma once
#include <Arduino.h>

void initWireGuard();
void gererWireGuard();
void getWireGuardJson(String &out);
bool setWireGuardConfig(bool enabled, const char* privKey, const char* pubKey,
                        const char* psk, const char* endpoint, uint16_t port,
                        const char* localIP, uint16_t keepalive);
